### Method

# ICalGLib RecurIterator set_range

since: 4.0

#### Declaration [src]

    gboolean
    i_cal_recur_iterator_set_range (
      ICalRecurIterator* iterator,
      const ICalTime* from,
      const ICalTime* to
    )

#### Description [src]

Sets the date-times over which the iterator will run, where `from` is a value between DTSTART and UNTIL.

If `to` is a null time, the forward iterator will return values up to and including UNTIL (if present), otherwise up to the year 2582.

If `to` is non-null time and later than `from`, the forward iterator will return values up to and including `to`.

If `to` is non-null time and earlier than `from`, the reverse iterator will be set to start at `from` and will return values down to and including `to`.

Note: CAN NOT be used with RRULEs that contain COUNT.

Available since: 4.0

#### Parameters

`from`

  Type: `ICalTime`

  The start date-time for the iterator.

  The data is owned by the caller of the method.

`to`

  Type: `ICalTime`

  The end date-time for the iterator.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if succeeded, `FALSE` failed, like when the recurrence type is unsupported.